Windows

  • Microsoft Windows XP or higher (Vista, 7, 8 etc. excluding Windows RT) with administrator privileges and English as Input and Display Language
  • Minimim Pentium IV 1.5 GHz speed processor
  • Minimum of 1 GB of RAM
  • Latest Java Runtime Environment or have necessary administrative rights to install it DOWNLOAD JAVA
  • Stable and reliable high-speed internet connection
  • Internet Explorer v9.0 or Firefox v30.0 or Google Chrome v40.0 or higher versions (browser must have Javascript and cookies enabled)
  • Adobe® Flash® Player, 16.0 or higher installed DOWNLOAD FLASH
  • Minimum screen resolution of 1280x800

Please be advised that these are the bare minimum requirements for our software to properly function. The presence of a personal security software, such as AVG, Norton, ZoneAlarm, McAfee, Little Snitch etc. or network firewall (setup by school, work, hospital, library, or public Wi-Fi administrator), proxy server (setup by school, work, hospital, library, public, or Wi-Fi administrator), VPN, cookie and cache management products may adversely affect your experience.

Apple Mac OS

  • Macintosh OS X 10.6.x or higher (10.7.x, 10.8.x, 10.9.x, 10.10.x) with administrator privileges and English as Input and Display Language
  • Minimum 1.5 GHz speed processor
  • At least 1 GB of RAM
  • Latest Java Runtime Environment version 1.6 or higher for Macintosh installed or have necessary administrative rights to install it
  • Stable and reliable high-speed internet connection
  • Safari v5.0 or Firefox v30.0 or Google Chrome v40.0 or higher versions (browser must have Javascript and cookies enabled),
  • Apple® QuickTime®, 7.0 or higher installed DOWNLOAD QUICKTIME
  • Minimum screen resolution of 1280x800

We do not support any other browsers like Netscape, AOL, Opera, etc. or virtualization applications or any other operating system environments like Unix, Linux, etc. Trying to log-in from unsupported browsers, non supported computers, accessing the contents of courses by disabling scripting Internet options is a violation of the terms and conditions.

 iOS Devices (iPad/iPhone/iPod Touch)

  • iOS version 7.0 or higher
  • At least 20 MB (maximum) of free storage space to install the app
  • Stable and reliable internet connection while in use (Wi-Fi is highly recommended)
  • Access to Photos turned On for the app (Under Settings -> Privacy -> Photos section on the home screen)
  • Appstore account to download this free app

Our app needs access to "Photos" as all screen captures go to Photos section automatically. We respect the privacy of our users and DO NOT access your private pictures or related data at any time. Under no circumstances are any pictures transmitted or sent to our servers. We monitor "Photos" section exclusively for screen captures related to our content only.

Access to Qbanks via mobile devices is provided as an additional feature, but it is not intended to be a replacement for computer access.

 Android Devices (Phones/Tablets) or Amazon Kindle Fire

  • Android version 4.0 or higher
  • At least 5 MB (maximum) of free storage space to install the app
  • A stable and reliable internet connection while in use (Wi-Fi is highly recommended)
  • Account to download this free app from respective app market place (Google Play, Amazon Appstore)

Other devices like HP TouchPad (designed for Web OS), Blackberry Playbook (Playbook OS) etc. which can run custom Android ROMs are not supported. Please be advised that these are the bare minimum requirements for the app to function properly. The presence of a network firewall (set up by school, work, hospital, library, or public Wi-Fi administrator) and/or access via a proxy server, unreliable internet access point may adversely affect your experience with the app.